/* general colors */
a {color:orange;}
body {background:#141414; color:#fff;}
button { background:transparent; color:#fff; }
input,textarea,.post_input_container{background:rgba(19,20,51);border:3px solid rgb(41, 215, 234)!important;color:#29d8ea;box-shadow:inset 0 0 6px rgba(0,0,0,.451)}
.setdef { color:#fff; }

/* cookie box */
.cookie_wrap { background:#403866; color:#fff; }

/* item with background no effect */
.bback { background:rgba(69, 71, 177, 0.158); }

/* item with background no effect with border */
.bbackb { background:rgba(69, 71, 177, 0.158); border:1px solid rgba(66, 66, 155 0.30); }

/* item with no background and hover effect */
.bhover:hover { background:rgba(69, 71, 177, 0.158); }

/* item with background and hover effect */
.bbackhover { background:rgba(69, 71, 177, 0.158); }
.bbackhover:hover { background:rgba(147, 149, 255, 0.11); }

/* item width background and hover effect with a border */
.bbackhoverb { background:rgba(69, 71, 177, 0.158); }
.bbackhoverb:hover { background:rgb(255,255,255,0.3); border:1px solid rgb(154,147,255,0.188); }

/* item with no background with line separator and hover effect */
.blisting { border-bottom: 1px solid rgba(147, 149, 255, 0.11); }
.blisting:hover { background: rgba(69, 71, 177, 0.158); }

/* item with no background with line separator */
.blist { border-bottom: 1px solid rgba(147, 149, 255, 0.11); }

/* private panel top */
.back_ptop { background:rgb(20,16,34,0.82); color:#fff;border:1px solid rgb(41, 215, 234) }

/* page menu & page sub menu */
.bpmenu:hover { background: rgba(69, 71, 177, 0.158); }
.bsub { background:rgb(0,0,0,0.1); }
.bsub:hover { background:rgba(147, 149, 255, 0.11); }

/* sub menus for card, logs, wall, news */
.bmenu, .submenu { border-bottom:1px solid rgba(147, 149, 255, 0.11); }
.bmenu:hover, .submenu:hover { background:rgba(147, 149, 255, 0.11); }

/* box shadow */
.bshadow, .page_element, .float_menu, .btnshadow, .pboxed { box-shadow:0 1px 3px rgb(0,0,0,0.4); }

/* main item selected for panel and box */
.bselected { background:rgba(66, 66, 155 0.30); }

/* reg menu selected item */
.rselected { background:rgba(66, 66, 155 0.30); }

/* page selected */
.pselected { color:#5f5fbb; }

/* current item selected selected */
.cselected, .liked { background:rgba(69, 71, 177, 0.158); }

/* paginate item selected */
.pag_btn { background:rgba(69, 71, 177, 0.158); }
.pagselected, .pag_btn:hover { background:rgb(255,255,255,0.1); }

/* count and gold tag */
.gtag { background:#111; border:1px solid rgb(154,147,255,0.188); }

/* border color for separator and items border */
.bborder { border-bottom:1px solid rgb(154,147,255,0.188); }
.tborder { border-top:1px solid rgb(154,147,255,0.188); }
.lborder, .ppanel { border-left:1px solid rgb(154,147,255,0.188); }
.rborder { border-right:1px solid rgb(154,147,255,0.188); }
.fborder { border:1px solid rgb(154,147,255,0.188); }

/* float top color */
.float_top { border-bottom:1px solid rgb(154,147,255,0.188); }
.float_ctop { border-bottom:1px solid rgb(154,147,255,0.188); }

/* headers, footer and top modal colors */
.bhead { background:rgb(20,16,34,0.82); color:#fff; border-bottom: 1px solid rgb(154,147,255,0.188);}
.bsidebar{background:rgb(20,16,34,0.82); color:#fff; border-bottom: 1px solid rgb(154,147,255,0.188);}
.modal_top { background:rgb(20,16,34,0.82); color:#fff; }
.pro_top { background:rgb(20,16,34,0.82); color:#fff; }
.bfoot { background:rgb(20,16,34,0.82); color:#fff; border-top: 1px solid rgb(154,147,255,0.188);}
.foot { background:rgb(20,16,34,0.82); color:#fff; border-top: 1px solid rgb(154,147,255,0.188);}

/* background major element panel, page menu, float menu, modal, chat boxes */
.backglob { background:transparent; }
.back_chat { background:transparent; }
body::before{content:'';position:fixed;z-index:-1;top:0;left:0;width:100%;height:100%;background:url('./images/codingbackground.png');background-repeat:no-repeat;background-position:center center;background-size:cover;opacity:.5}
.back_priv { background:linear-gradient(to right bottom, #191437, #1e0e27, #1c0819, #14030c, #000000); }
.back_panel { background:rgba(23, 20, 55, 0.9); }
.back_menu { background:rgba(30, 26, 64, 0.9); }
.back_pmenu { background:rgb(25,20,55,0.9); border-right: 1px solid rgb(154,147,255,0.188);}
.back_box { background:rgba(23, 20, 55, 0.9); }
.back_input { background:rgb(25,20,55,0.9); border-top:1px solid rgb(154,147,255,0.188); }
.back_modal { background:rgb(25,20,55,0.9); }
.page_element { background:rgb(25,20,55,0.9); border: 1px solid rgb(154,147,255,0.188); }
.back_quote { background:rgb(25,20,55,0.9); }

/* main theme color */
.theme_color { color:#5f5fbb; }
.default_color { color:#494788; }
.error  { color:red; }
.success { color:#698639; }
.warn { color:orange; }

/* button colors */
.theme_btn, .back_theme { background:#5f5fbb; color:#fff; }
.default_btn, .back_default { background:#403866; color:#fff; }
.defaultd_btn { background:#444444; color:#fff; }
.ok_btn { background:#698639; color:#fff; }
.warn_btn { background:orange; color:#fff; }
.delete_btn { background:#5438bb; color:#fff; }
.send_btn { color:#f6f6f6; }

/* default username color */
.user { color:#fff; }

/* chat system messsage text color */
.chat_system { color:#29d8ea; }

/* opacity for offline users in list */
.offline { opacity:0.5; }

/* menu icon */
.menui { color:#5f5fbb; }
.subi { color:#5f5fbb; }

/* wall reply background */
.reply_item{background:rgb(20,16,34,.82);border-bottom:1px solid rgb(154,147,255,.188)}

/* main post item option wall and news */
.main_post_item { color:rgb(255,255,255,0.5); }

/* input option background colors */
.input_item { color:#494788; }

/* private log bubble colors */
.target_private, .hunt_quote {color:#fff; background:#5c5899;}
.hunter_private, .targ_quote {color:#fff; background:#373562;}


/* quote in chat background color */
.cquote { background:rgba(69, 71, 177, 0.158) !important; }
.cqname { color:#29d8ea; }
.cqmess { color:#29d8ea; }

/* tab menu */
.tab_menu{box-shadow:0 1px 3px rgb(0,0,0,.4);background:rgb(20,16,34,.82);border:1px solid rgba(154,147,255,.19);}
.tab_selected { background:rgba(69, 71, 177, 0.158); }

/* modal menu */
.modal_mback { background:rgb(255,255,255,0.04); }
.modal_mborder { border-bottom: 1px solid rgba(66, 66, 155 0.30); }
.modal_selected { background:rgba(66, 66, 155 0.30); }

/* back transparency background for modal box */
.modal_back { background-color:rgba(0,0,0,0.6); }

/* chat logs */
.mbubble { background:rgba(0, 83, 151, 0.5); }
.topic_log {font-size: 16px;color: #fff;text-align: center;}
.topic_log{background:rgba(68,22,22,.39) url('./images/topic.png');background-position:absolute;background-size:cover;color:#fff;border:1px dashed rgba(10, 7, 64,.169);}
.tpicon{content:url('./images/gamer.svg');border-radius:0}
.sys_log {width:auto;margin:5px auto;padding:6px 8px;background:rgb(0,0,0,.20);border-radius:55px 25px 55px 25px; }

/* upload progress */
.bprogress { background:#698639; color:#fff; }

/* notification colors */
.bnotify { background:red; color:#fff; }
.foot_notify, .head_notify { border:1px solid #fff; }

/* date colors */
.sub_date  { color:#29d8ea; }
.sub_chat, .sub_priv { color:#29d8ea; }

/* secondary text color */
.sub_text, .list_mood  { color:#29d8ea; }

/* profile likes */
.plikes { background-color:rgba(100,100,100,0.2); color:#fff; }

/* spinner color */
.bspin { color:rgb(255,255,255,0.3); }

/* special chat item */
.my_notice { color:#fff; background:#5f58bb; }
.system_text { background:rgba(69, 71, 177, 0.158); color:#5f5d99; }

/* outside pages background */
.back_page { background:#111; color:#fff; }

/* video background color */
.post_video { background:rgb(0,0,0,1); }

/* slider */
.boom_slider .ui-widget-content { background: #403866; }
.boom_slider .ui-state-default { background: #ccc !important; }
.boom_slider .ui-state-active { background: #ccc !important; }
.boom_slider .ui-slider-range { background:#494788; }

/* select input color */
.selectboxit-list, .selectboxit-btn { background-color: rgba(19, 22, 51, 0.612); border:1px solid rgb(154,147,255,0.188); color:#fff; }
.selectboxit-list .selectboxit-focus .selectboxit-option-anchor { background-color: rgba(69, 71, 177, 0.158); color:#fff; }
.selectboxit-default-arrow { border-top: 4px solid #494788; }
.selectboxit-btn.selectboxit-enabled:hover, .selectboxit-btn.selectboxit-enabled:focus, .selectboxit-btn.selectboxit-enabled:active { background:rgba(19, 22, 51, 0.612); color:#fff; }
.selectboxit-options { background:rgba(17, 16, 34, 0.89); color:#fff; }
.selectboxit-list .selectboxit-option-anchor { color:#494788; }

/* custom */
.modal_in { border:1px solid rgb(255,255,255,0.01); } 
.head_option, .footer_item{z-index: 1;}
.head_option::before,.footer_item:not([data-menu="player_menu"])::before{content:'';position:absolute;z-index:-1;top:50%;left:50%;transform:translate(-50%,-50%);width:90%;height:70%;border-radius:50px;border-bottom-right-radius:25;background:rgba(0, 1, 46)}
.footer_item:not([data-menu="player_menu"])::before{border-bottom-right-radius:50px;border-bottom-left-radius:0}
.float_menu{border:1px solid rgb(154,147,255,.188)}
.ch_logs .my_text{background:rgba(6, 5, 23, 0.1);border:1px solid rgba(80, 81, 157, 0.188);border-radius:4px}
.log2 .my_text{background:rgba(6, 5, 23, 0.1);border:1px solid rgba(80, 81, 157, 0.278);border-radius:4px}
.my_text{padding:2px 8px}
#intro_top{background:#000}
#intro_top::before{content:'';position:absolute;z-index:-1;top:0;left:0;width:100%;height:100%;background:url('./images/background_login.jpeg');background-repeat:no-repeat;background-attachment:fixed;background-position:center center;background-size:cover;opacity:.8}
#intro_top .bcell_mid{width:100%}

@media screen and (max-width: 1200px){
    .back_panel, .back_pmenu{
        backdrop-filter: blur(2px);
    }
}
@media screen and (max-width: 768px){
    .back_menu, .back_box, .page_element{
        backdrop-filter: blur(2px);
    }
}
